org.vishia.gral.ifc

## Interface GralTextFieldUser_ifc

-     public interface GralTextFieldUser_ifc

  This interface can be implemented by any user classes which are associated to a `GralTextBox` or a `GralTextField` calling

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `version` Version, history and license: 2012-04-15 Hartmut created: A text box may have some special key features.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `userKey(int keyCode, java.lang.String content, int cursorPos, int selectStart, int selectEnd)`

- - ### Field Detail

    - #### version

          static final int version

      Version, history and license:
      - 2012-04-15 Hartmut created: A text box may have some special key features.
      Copyright/Copyleft: For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL ist not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but don't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you are intent to use this sources without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### userKey

          boolean userKey(int keyCode,
                          java.lang.String content,
                          int cursorPos,
                          int selectStart,
                          int selectEnd)